﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		string html = "<html><body><h1><font color='{1}'>{0}</font></h1></body></html>";
		ViewModel viewModel = new ViewModel();

		public MainPage()
		{
			InitializeComponent();
			this.DataContext = this.viewModel;
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			this.viewModel.HtmlSource = string.Format(html, "#1", "red");
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			this.viewModel.HtmlSource = string.Format(html, "#2", "green");
		}

		private void Button3_Click(object sender, RoutedEventArgs e)
		{
			this.viewModel.HtmlSource = string.Format(html, "#3", "blue");
		}
	}

	public class ViewModel : INotifyPropertyChanged
	{
		private string htmlSource;

		public string HtmlSource
		{
			get
			{
				return this.htmlSource;
			}
			set
			{
				if (this.htmlSource != value)
				{
					this.htmlSource = value;
					this.OnPropertyChanged("HtmlSource");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}